# alloc_func.cpp File Reference

Functions to 'handle' memory allocation errors. More...

`#include "../stdafx.h"`

Go to the source code of this file.

## Functions
void NORETURN | MallocError (size_t size)
| Function to exit with an error message after malloc() or calloc() have failed.
void NORETURN | ReallocError (size_t size)
| Function to exit with an error message after realloc() have failed.

## Detailed Description

Functions to 'handle' memory allocation errors.

Definition in file alloc_func.cpp.

## Function Documentation

void NORETURN MallocError | ( | size_t | size | ) |

Function to exit with an error message after malloc() or calloc() have failed.

Parameters:

  | size | number of bytes we tried to allocate

Definition at line 18 of file alloc_func.cpp.

References error().

Referenced by CallocT(), and MallocT().

void NORETURN ReallocError | ( | size_t | size | ) |

Function to exit with an error message after realloc() have failed.

Parameters:

  | size | number of bytes we tried to allocate

Definition at line 27 of file alloc_func.cpp.

References error().

Referenced by ReallocT().